/* -*- C++ -*- */
/**
 *  @file Factories_Define.h
 *
 *  Factories_Define.h,v 1.2 2003/04/03 20:36:20 pradeep Exp
 *
 *  @author Pradeep Gore <pradeep@oomworks.com>
 *
 *
 */

#ifndef TAO_FACTORIES_DEFINE_H
#define TAO_FACTORIES_DEFINE_H
#include "ace/pre.h"

#include "Command_Factory_T.h"

#define TAO_NS_COMMAND_FACTORY_DEFINE(export, command, factory_name) \
\
typedef TAO_NS_Command_Factory_T <command> command##_Factory;\
\
ACE_STATIC_SVC_DECLARE_EXPORT (export, command##_Factory) \
\
ACE_FACTORY_DECLARE (export, command##_Factory) \
\
ACE_STATIC_SVC_DEFINE(command##_Factory, \
                      factory_name, \
                      ACE_SVC_OBJ_T, \
                      &ACE_SVC_NAME (command##_Factory), \
                      ACE_Service_Type::DELETE_THIS | ACE_Service_Type::DELETE_OBJ, \
                      0) \
\
ACE_FACTORY_DEFINE (export, command##_Factory) \
\


#include "ace/post.h"
#endif /* TAO_FACTORIES_DEFINE_H */
